﻿#language: ru

Функционал: Запуск обработки Меню учетных точек: Работа с заданиями

Сценарий: Запуск обработки Меню учетных точек: Работа с заданиями
	Дано Я подключаюсь под "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		|'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Варки сыра'
	Тогда открылось окно 'Варки сыра (01.11.18 Смена24)*'
	И в таблице "Задания" я перехожу к строке:
		| 'Состояние' | 'N' |
		| 'Не начато' | '1' |
	И в таблице "Задания" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Варки сыра (01.11.18 Смена24)*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Варки сыра (01.11.18 Смена24)*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Варки сыра (01.11.18 Смена24)*'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Варки сыра (01.11.18 Смена24)*'
	И Я закрываю окно '*Варки сыра (01.11.18 Смена24)*'

Сценарий: Учет ингредиентов через смесь
	И в поле 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Расчет ингредиентов от смеси'
	Тогда открылось окно '*Расчет ингредиентов от смеси (01.11.18 Смена24)*'
	И в таблице "Задания" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Задание'    | 'Номенклатура'                         			 | 'Состояние' |
		| '6' | 'кг'       | '950,000'    | 'milk_prod_Сливочный 45% / Варка / 01.11.2018/6' | 'Не начато' |
	И я нажимаю на кнопку 'Ингредиенты'
	И     таблица "РаспределениеМатериалов" стала равной:
		| 'Номенклатура'                     		   | 'Норма'          | 'Серия' | 'План' | 'Факт' | 'Факт' |
		| 'milk_prod_Ароматизатор Масло 16256 (масло)' | 'упак'           | ''      | ''     | ''     | ''     |
		| 'milk_prod_Закваска Ceska L 100'             | 'кг'             | ''      | ''     | ''     | ''     |
		| 'milk_prod_Краситель Бета-каротин FS 30%'    | 'шт'             | ''      | ''     | ''     | ''     |
		| 'milk_prod_Смесь 45%'                        | '10 000,000, кг' | ''      | ''     | ''     | ''     |
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' 		   | 'Норма'          |
		| 'milk_prod_Смесь 45%'    | '10 000,000, кг' |
	И я нажимаю кнопку выбора у поля "СкладОтправитель"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно 'milk_prod_Сливочный 45% / Варка / 01.11.2018/6 [950 кг]: *Учет расхода ингредиентов'
	И я нажимаю на кнопку 'Указать серию'
	Тогда открылось окно 'Выбрать серию для milk_prod_Смесь 45%'
	И в таблице "Список" я перехожу к строке:
		| 'Серия'                   |
		| '6 до 01.11.2018 0:00:00' |
	И я нажимаю на кнопку 'КомандаВыбрать'
	Тогда открылось окно 'milk_prod_Сливочный 45% / Варка / 01.11.2018/6 [950 кг]: *Учет расхода ингредиентов *'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'Подтвердить'
	И таблица "РаспределениеМатериалов" стала равной:
		| 'Номенклатура'                     		   | 'Норма'          | 'Серия'                   | 'План' | 'Факт'      |
		| 'milk_prod_Ароматизатор Масло 16256 (масло)' | '0,494, упак'    | ''                        | ''     | ''          |
		| 'milk_prod_Закваска Ceska L 100'             | '0,356, кг'      | ''                        | ''     | ''          |
		| 'milk_prod_Краситель Бета-каротин FS 30%'    | '0,988, шт'      | ''                        | ''     | ''          |
		| 'milk_prod_Смесь 45%'                        | '10 000,000, кг' | '6 до 01.11.2018 0:00:00' | ''     | '9 880,000' |
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура' 		| 'Норма'          | 'Серия'                   | 'Факт'      |
		| 'milk_prod_Смесь 45%' | '10 000,000, кг' | '6 до 01.11.2018 0:00:00' | '9 880,000' |
	И я закрыл все окна клиентского приложения

Сценарий: Заполнение материалов в переработке
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр'    | 'Смена'   | 'Способ создания'    | 'Статус'    |
		| 'milk_prod_Сырцех' | 'Смена24' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Заполнить'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По выпуску'
	И из выпадающего списка с именем "ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И я нажимаю на кнопку 'ОК'
	И таблица "РаспределениеМатериалов" стала равной:
		| 'Распределить на выпуск'                          | 'Ед. изм. 2' | 'N' | 'Количество' | 'Номер пакета' | 'Тара' | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'                   | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' |
		| 'milk_prod_Российский 50% / Варка / 01.11.2018/2' | ''           | '1' | ''           | ''             | ''     | ''             | ''             | '<не используются>' | '2 до 01.11.2018 0:00:00' | ''             | ''         | ''           |
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		|'N'|
		|'1'|
	И в таблице "РаспределениеМатериалов" поле с именем "РаспределениеМатериаловКоличество" имеет значение "10 031,579"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И я закрываю окно 'Переработки'

Сценарий: Подготовка остатков на складе сырцеха для ФЕФО
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '01.11.2018  0:00:00'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		   |
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 35%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Наименование'            | 'Номер' |
		| '01.11.2018'   | '7 до 01.11.2018 0:00:00' | '7'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '15 000,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '2 447,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		|
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '21'
	И в поле 'Дата выпуска' я ввожу текст '29.10.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		   |
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 45%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '22'
	И в поле 'Дата выпуска' я ввожу текст '28.09.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество"
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '156,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Выпуск побочки со списанием по ФЕФО и количества один в один
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		|'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку 'Списание материала по выпуску'
	Тогда открылось окно '*Списание материала по выпуску *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Номенклатура'                        			 | 'Состояние' |
		| '8' | 'кг'       | 'milk_prod_Сыворотка / 8 до 01.11.2018 0:00:00' | 'Не начато' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Списание материала по выпуску *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Склад ГП'     |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно '*Списание материала по выпуску (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Списание материала по выпуску (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Списание материала по выпуску *: Работа с заданиями'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка документа по списанию на сыворотку
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к последней строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Выпуск"
	И     таблица "Выпуск" стала равной по шаблону:
		| 'Спецификация'      					  | 'Ед. изм. 2' | 'N' | 'Количество' | 'Этап'  | 'Тара' | 'Номенклатура' 		  | 'Количество 1' | 'Характеристика'    | 'Серия'                   | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Задание'                    | 'Дата выпуска' | 'Дата маркировки' |
		| 'milk_prod_Сливочный 45% milk_prod_Сыр' | ''           | '1' | '256,000'    | 'Варка' | ''     | 'milk_prod_Сыворотка'    | ''             | '<не используются>' | '8 до 01.11.2018 0:00:00' | ''             | 'кг'       | ''           | 'Производственное задание *' | ''             | ''                |
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Распределить на выпуск'              		  | 'Серия'                    | 'Характеристика'    | 'Количество' |
		| 'milk_prod_Сыворотка / 8 до 01.11.2018 0:00:00' | '21 до 01.01.0001 0:00:00' | '<не используются>' | '100,000'    |
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Распределить на выпуск'              		  | 'Серия'                    | 'Характеристика'    | 'Количество' |
		| 'milk_prod_Сыворотка / 8 до 01.11.2018 0:00:00' | '22 до 01.01.0001 0:00:00' | '<не используются>' | '156,000'    |
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск сыворотки по заданию без серий
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '02.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыворотки'
	Тогда открылось окно '*Выпуск сыворотки *: Работа с заданиями'
	И в таблице "Задания" я перехожу к первой строке
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Выпуск сыворотки *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Выпуск сыворотки *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Выпуск сыворотки *: Работа с заданиями'
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Выпуск сыворотки *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыворотки *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск сыворотки *: Работа с заданиями'
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск сыворотки *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Выпуск сыворотки *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Выпуск сыворотки *: Работа с заданиями'
	И я закрыл все окна клиентского приложения

Сценарий: Завершение задания по кнопке завершения
	И в поле 'Дата' я ввожу текст '02.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыворотки'
	Тогда открылось окно '*Выпуск сыворотки *: Работа с заданиями'
	И в таблице "Задания" я перехожу к первой строке
	И я нажимаю на кнопку 'Завершить'
	И я нажимаю на кнопку 'КомандаДа'
	Тогда таблица "Задания" стала равной по шаблону:
		| 'N' | 'Номенклатура'        | 'Состояние'  | 'Ед. изм.' |
		| '1' | 'milk_prod_Сыворотка' | 'Выполнено'  | 'кг'       |
		| '2' | 'milk_prod_Сыворотка' | 'В процессе' | 'кг'       |
	И в таблице "Задания" я перехожу к строке:
		| 'N' | 'Номенклатура'        | 'Состояние'  | 'Ед. изм.' |
		| '1' | 'milk_prod_Сыворотка' | 'Выполнено'  | 'кг'       |
	Затем Проверяю шаги на Исключение:
		|'И я нажимаю на кнопку "Завершить"'|
	Затем Проверяю шаги на Исключение:
		|'И я нажимаю на кнопку "Приступить"'|
	И я закрыл все окна клиентского приложения

Сценарий: Проверка документа выпуска сыворотки тремя партиями
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный'   | 'Рабочий центр'    			| 'Смена'   | 'Способ создания'    | 'Статус'    |
		| '02.02.2020' | 'milk_prod_Киоск' | 'milk_prod_Выпуск сыворотки' | 'Смена24' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Выпуск"
	И     таблица "Выпуск" стала равной по шаблону:
		| 'Количество' | 'Этап'  | 'Тара' | 'Номенклатура' 			 | 'Количество 1' | 'Характеристика'    | 'Серия'  | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Задание'                    | 'Дата выпуска' | 'Дата маркировки' |
		| '390,000'    | 'Варка' | ''     | 'milk_prod_Сыворотка'    | ''             | '<не используются>' | '1 до *' | ''             | 'кг'       | ''           | 'Производственное задание *' | ''             | ''                |
		| '660,000'    | 'Варка' | ''     | 'milk_prod_Сыворотка'    | ''             | '<не используются>' | '2 до *' | ''             | 'кг'       | ''           | 'Производственное задание *' | ''             | ''                |
		| '120,000'    | 'Варка' | ''     | 'milk_prod_Сыворотка'    | ''             | '<не используются>' | '3 до *' | ''             | 'кг'       | ''           | 'Производственное задание *' | ''             | ''                |
	И я закрыл все окна клиентского приложения

Сценарий: Выпуск материалов для их использования в работе с заданием
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '03.02.2020  0:00:00'
	И в поле 'Дата смены' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		|
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '03.02.2020'   | '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '3 500,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		|
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Дата выпуска' я ввожу текст '03.02.2020'
	И в поле 'Годен до' я ввожу текст '06.02.2020  0:00:00'
	И я нажимаю на кнопку 'Создать'
	И в поле 'Номер' я ввожу текст '2'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я активизирую поле с именем "ВыпускКоличество"
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '3 540,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 		|
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 35%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '3'
	И в поле 'Дата выпуска' я ввожу текст '03.02.2020'
	И в поле 'Годен до' я ввожу текст '06.02.2020  0:00:00'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '250,000'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество1' я ввожу текст '25,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Использование нескольких серий материала при выпуске продукции
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '03.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Использование нескольких партий сырья'
	Тогда открылось окно '*Использование нескольких партий сырья *: Работа с заданиями'
	И в таблице "Задания" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Использование нескольких партий сырья *'
	Тогда в таблице "Материалы" количество строк "равно" 0
	И я закрыл все окна клиентского приложения

Сценарий: Ичалки #15 Выпуск несколькими документами на разные тары - избавиться от дублирования строк материалов.
	И в поле 'Дата' я ввожу текущую дату	
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'      |
		| 'milk_prod_В бассейн на ра*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Варки сыра'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| Штрих код   |
		| '06000000004' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Варки сыра *: Работа с заданиями'
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| Штрих код   |
		| '06000000005' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Варки сыра *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Варки сыра *'
	И я закрываю окно '*Варки сыра *'

Сценарий: Проверка дублировани строк материалов
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный' |
		| 'milk_prod_Киоск' |
	И в таблице "Список" я активизирую поле "Ответственный"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' |
		| 'milk_prod_Сырцех'        |
	И в таблице "Список" я активизирую поле "Рабочий центр"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к строке:
		| 'Способ создания'    |
		| 'Приемка и передача' |
	И в таблице "Список" я активизирую поле "Способ создания"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к первой строке
	И в таблице "Список" я перехожу к следующей строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	Тогда в таблице "Выпуск" количество строк "меньше или равно" 2
	И в таблице "РаспределениеМатериалов" я нажимаю на кнопку 'Заполнить'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По выпуску'
	И из выпадающего списка с именем "ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Форма настройка заполнения материалов'
	И я нажимаю на кнопку 'ОК'
	И я жду, что в таблице "РаспределениеМатериалов" количество строк будет "меньше или равно" 2 в течение 10 секунд
	И Я закрываю окно 'Переработка *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Выпуск по одному заданию несколько раз с упак.листами
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текст '02.02.2020'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Сырцех'  |
	И я нажимаю на кнопку с именем 'Выбрать'
	Когда я нажимаю на кнопку 'Выпуск сыворотки с упак.листом'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'Задание'   | 'Номенклатура'        | 'Состояние'  |
		| '7 950,000' | 'milk_prod_Сыворотка' | 'В процессе' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *'
	И я нажимаю на кнопку с именем 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Паллета *'
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'N' | 'Номенклатура'        | 'Состояние'  |
		| '2' | 'milk_prod_Сыворотка' | 'В процессе' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *'
	И я нажимаю на кнопку с именем 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Паллета *'
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Выпуск сыворотки с упак.листом *: Работа с заданиями'
	И я нажимаю на кнопку 'Закрыть'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка документов упак.листов и переработок
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный'   | 'Рабочий центр'              | 'Смена'   | 'Способ создания'    | 'Статус'    |
		| '02.02.2020' | 'milk_prod_Киоск' | 'milk_prod_Выпуск сыворотки' | 'Смена24' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я активизирую поле "Рабочий центр"
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	Тогда в таблице "Список" количество строк "равно" 3
	И Я закрываю окно 'Переработки'
	И В командном интерфейсе я выбираю 'Производство' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	Тогда в таблице "Список" количество строк "равно" 2
	И Я закрываю окно 'Упаковочные листы'

Сценарий: Мес 69. Учет ингредиентов при нескольких основных складах без указания основного ингредиента
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| Наименование |
		| milk_prod_Сырцех       |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Учет ингредиентов'
	Тогда открылось окно '*Учет ингредиентов *'
	И в таблице "Задания" я перехожу к строке по шаблону:
		| 'Ед. изм.' | 'Номенклатура'       		  | 'Состояние' |
		| 'кг'       | 'milk_prod_Российский 50% / *' | 'Не начато' |
	И я нажимаю на кнопку 'Ингредиенты'
	И пауза 1
	Тогда открылось окно 'milk_prod_Российский 50% *'
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура'                     |
		| 'milk_prod_Закваска' |
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'Подтвердить'
	И я нажимаю на кнопку 'КомандаСохранить'
	Тогда открылось окно '*Учет ингредиентов *'
	И Я закрываю окно '*Учет ингредиентов *'

Сценарий: Выпуск масла через киоск
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маслоцех'     |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск масла'
	Тогда открылось окно '*Выпуск масла *: Работа с заданиями'
	И в таблице "Задания" я перехожу к первой строке
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно '*Выпуск масла *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Склад ГП'     |
	И я нажимаю на кнопку 'ФормаВыбрать'
	Тогда открылось окно '*Выпуск масла *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно '*Выпуск масла *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно '*Выпуск масла *: Работа с заданиями'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка документа переработки - выпуска масла
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'   | 'Рабочий центр' 			| 'Смена'   | 'Способ создания'    | 'Статус'    |
		| 'milk_prod_Киоск' | 'milk_prod_Маслоцех'      | 'Смена24' | 'Приемка и передача' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И     элемент формы с именем "Статус" стал равен 'Выполнено'
	И     элемент формы с именем "РабочийЦентр" стал равен 'milk_prod_Маслоцех'
	И     элемент формы с именем "Смена" стал равен 'Смена24'
	И     элемент формы с именем "СкладВыпуск" стал равен 'milk_prod_Склад ГП'
	И     таблица "Выпуск" стала равной:
		| 'Спецификация' 		   | 'Ед. изм. 2' | 'N' | 'Количество' | 'Этап'            | 'Тара' | 'Номенклатура' 	| 'Количество 1' | 'Характеристика'    | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Дата выпуска' | 'Дата маркировки' |
		| 'milk_prod_Масло'        | ''           | '1' | '25,000'     | 'Выработка масла' | ''     | 'milk_prod_Масло' | ''             | '<не используются>' | ''             | 'кг'       | ''           | ''             | ''                |
	И Я закрываю окно 'Переработка *'
	И я закрыл все окна клиентского приложения